<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
					xmlns:s="library://ns.adobe.com/flex/spark"
					xmlns:ui="library://ns.adobe.com/flex/ui"
					xmlns:mx="library://ns.adobe.com/flex/mx"
					xmlns:components="br.com.dclick.components.*"
					xmlns:componente="br.com.desenv.framework.componente.*"
					xmlns:visual="br.com.desenv.framework.component.visual.*"
					xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
					xmlns:component="br.com.desenv.nepalign.view.component.*"
					xmlns:components1="com.hillelcoren.components.*"
					width="1200" height="700" close="titlewindowCloseHandler(event)"
					creationComplete="creationCompleteHandler(event)" title="Baixa de Pedido de Compra"
					>
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="PedidoCompraVendaIncluidoEvent")]
		[Event(name="PedidoCompraVendaAtualizadoEvent")]
		[Event(name="PedidoCompraVendaExcluidoEvent")]
		[Event(name="PedidoCompraVendaSelecionadoEvent")]
		
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			
			import mx.controls.DateField;
			import mx.core.IFlexDisplayObject;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import spark.events.IndexChangeEvent;
			import spark.events.TextOperationEvent;
			
			import br.com.desenv.nepalign.view.component.DocumentoEntradaSaidaComponenteRevisao;
			import br.com.desenv.nepalign.vo.DocumentoEntradaSaida;
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			import br.com.desenv.nepalign.vo.Fornecedor;
			import br.com.desenv.nepalign.vo.ItemDocumentoEntradaSaida;
			import br.com.desenv.nepalign.vo.MovimentacaoEstoque;
			import br.com.desenv.nepalign.vo.OrdemProduto;
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.PedidoCompraVenda;
			import br.com.desenv.nepalign.vo.Usuario;
			
			[Bindable]
			public var documentoEntradaSaida: DocumentoEntradaSaida = new DocumentoEntradaSaida();
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			[Bindable]
			private var listaFornecedor:ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaPedidoCompra:ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaOrdemProduto: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaItemDocumentoEntradaSaida:ArrayCollection = new ArrayCollection();
			[Bindable]
			private var quantidadeParcial:Number = 0;
			[Bindable]
			private var fornecedor:Fornecedor = null;
					
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				
				if (this.ignTextInputDateDataEmissao.text != null && this.ignTextInputDateDataEmissao.text == "")
				{
					Alert.show("Data de Emissão não foi informada!");
					ignTextInputDateDataEmissao.setFocus();
					return false;
				}
				
				if (this.ignTextInputDateDataEntrada.text != null && this.ignTextInputDateDataEntrada.text == "")
				{
					Alert.show("Data da Entrada não foi informada!");
					ignTextInputDateDataEntrada.setFocus();
					return false;
				}
				
				var dataEmissao: Date = DateField.stringToDate(ignTextInputDateDataEmissao.text, "DD/MM/YYYY");
				var dataEntrada: Date = DateField.stringToDate(ignTextInputDateDataEntrada.text, "DD/MM/YYYY");
				
				if (dataEntrada.valueOf() < dataEmissao.valueOf())
				{
					Alert.show("Data da Entrada não pode ser menor que a Data de Emissão!");
					ignTextInputDateDataEntrada.setFocus();
					return false;
				}
				
				if(ignTextInputDoubleValorTotalNotaFiscal.text == "")
				{
					Alert.show("Informe o valor da Nota Fiscal");
					ignTextInputDoubleValorTotalNotaFiscal.setFocus();
					return false;
				}
				
				if(ignTextInputIntegerQuantidadeTotalNotaFiscal.text == "")
				{
					Alert.show("Informe a quantidade de pares da Nota Fiscal");
					ignTextInputIntegerQuantidadeTotalNotaFiscal.setFocus();
					return false;
				}
				
				var quantidadeTotalPares:Number = 0;
				
				for each(var itemDocumentoEntradaSaida:ItemDocumentoEntradaSaida in listaItemDocumentoEntradaSaida)
				{
					quantidadeTotalPares += itemDocumentoEntradaSaida.quantidadeTotal;
				}
				
				if(Number(ignTextInputIntegerQuantidadeTotalNotaFiscal.text) != quantidadeTotalPares)
				{
					Alert.show("Quantidade de pares informada não bate com a quantidade de pares baixados");
					ignTextInputIntegerQuantidadeTotalNotaFiscal.setFocus();
					return false;
				}
				
				return validado;
			}
			
			private function creationCompleteHandler(event:FlexEvent):void 
			{
				AMFConnector.instance.prepararObjetoRemoto("fornecedorService", function(event:ResultEvent):void {listaFornecedor = event.result as ArrayCollection}).getOperation("listar").send();
				
				if(!isNaN(documentoEntradaSaida.id) && documentoEntradaSaida.situacao == '1')
				{
					
				}
			}

			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					documentoEntradaSaida.tipo = "E"; 
					
					documentoEntradaSaida.empresaFisica = new EmpresaFisica();
					documentoEntradaSaida.empresaFisica.id = (FlexGlobals.topLevelApplication.usuarioLogado as Usuario).empresaPadrao.id;
					documentoEntradaSaida.fornecedor = fornecedor;
					documentoEntradaSaida.numeroDocumentoEntradaSaida = ignTextInputNumeroDocumentoEntradaSaida.text;
					documentoEntradaSaida.dataEmissao = ignTextInputDateDataEmissao.text == ""?null:DateField.stringToDate(ignTextInputDateDataEmissao.text, "DD/MM/YYYY");
					documentoEntradaSaida.dataEntrada = ignTextInputDateDataEntrada.text == ""?null:DateField.stringToDate(ignTextInputDateDataEntrada.text, "DD/MM/YYYY");
 					documentoEntradaSaida.numeroNotaFiscal = ignTextInputNumeroNotaFiscal.text;
					documentoEntradaSaida.serie =  ignTextInputIntegerSerie.text == ""?null:parseInt(ignTextInputIntegerSerie.text);
					documentoEntradaSaida.situacao = "2";
					documentoEntradaSaida.valorTotalNotaFiscal = Number(ignTextInputDoubleValorTotalNotaFiscal.text.replace(",", "."));
					
					documentoEntradaSaida.listaItemDocumentoEntradaSaida = listaItemDocumentoEntradaSaida;
					
					AMFConnector.instance.prepararObjetoRemoto("documentoEntradaSaidaService", salvarResultHandler).getOperation("baixarPedidoCompra").send(documentoEntradaSaida, listaItemDocumentoEntradaSaida);
				}	
			}
			
			private function salvarRascunhoResultHandler( event: ResultEvent ): void 
			{
				this.documentoEntradaSaida = event.result as DocumentoEntradaSaida;
				this.dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent",false, true, this.documentoEntradaSaida, null, null));
				Alert.show("Documento de Entrada Salvo com sucesso!");	
			}
			
			private function salvarResultHandler( event: ResultEvent ): void 
			{
				documentoEntradaSaida = (event.result as ArrayCollection).getItemAt(0) as DocumentoEntradaSaida;

				dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent",false, true, this.documentoEntradaSaida, null, null));
				Alert.show("Baixa Executada com sucesso!");
				
				buttonSalvar.enabled = false;
				buttonSalvarRascunho.enabled = false;
				buttonCadastrarDuplicata.enabled = true;
			}

			protected function datagridListaItemPedidoCompraVenda_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.DELETE)
				{
					if(datagridListaItemPedidoCompraVenda.selectedIndex != -1)
						Alert.show("Existe uma baixa para o item. Deseja desfazer?", "Confirmação", Alert.YES | Alert.NO, this, desfazerBaixaEventHandler);
				}
			}
			
			protected function desfazerBaixaEventHandler(event:CloseEvent):void
			{
				if(event.detail == Alert.YES)
				{
					listaItemDocumentoEntradaSaida.removeItemAt(datagridListaItemPedidoCompraVenda.selectedIndex);
					
					var i: int = listaItemDocumentoEntradaSaida.length - 1;
					var j: int = 1;
					for(;i >= 0;  i--)
					{
						(listaItemDocumentoEntradaSaida.getItemAt(i) as ItemDocumentoEntradaSaida).sequencial = j;
						j++;
					}
					
					if(listaItemDocumentoEntradaSaida.length < 1)
					{
						ignComboBoxAutoCompleteFornecedor.selectedIndex = -1;
						AMFConnector.instance.prepararObjetoRemoto("fornecedorService", function(event:ResultEvent):void {listaFornecedor = event.result as ArrayCollection}).getOperation("listar").send();
						ignComboBoxAutoCompleteFornecedor.textInput.text = "";
						fornecedor = null;
					}
				}
			}
			
			protected function button1_clickHandler(event:MouseEvent):void
			{
				AMFConnector.instance.prepararObjetoRemoto("movimentacaoEstoqueService", imprimirResultHandler).getOperation("recuperarMovimentacaoPorDocumentoEntradaSaida").send(this.documentoEntradaSaida); 	
			}
			
			private function imprimirResultHandler( event: ResultEvent ): void 
			{				
				var mov:MovimentacaoEstoque = event.result as MovimentacaoEstoque;
				var etiqueta:EtiquetaComponenteImprimirMovimentacaoEstoque = new EtiquetaComponenteImprimirMovimentacaoEstoque();
				etiqueta.numEnabled = false;
				etiqueta.movimentacaoEstoque = mov;
				UPCPopUpManager.instance.addPopUp(etiqueta,this,true);
				UPCPopUpManager.instance.centerWindow(etiqueta);	
			}
			
			protected function buttonSalvarRascunho_clickHandler(event:MouseEvent):void
			{
				if (validar(event))
				{
										
				}	
			}

			protected function buttonCadastrarDuplicata_clickHandler(event:MouseEvent):void
			{
				/*var documentoEntradaSaidaComponenteDetalhe:DocumentoEntradaSaidaComponenteDetalheLoja  = new DocumentoEntradaSaidaComponenteDetalheLoja();
				documentoEntradaSaidaComponenteDetalhe.documentoEntradaSaida = this.documentoEntradaSaida;
				documentoEntradaSaidaComponenteDetalhe.addEventListener("DocumentoEntradaSaidaAtualizadoEvent", documentoEntradaSaidaAtualizadoResultHandler);
				UPCPopUpManager.instance.addPopUp(documentoEntradaSaidaComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(documentoEntradaSaidaComponenteDetalhe);*/
				
				var pcvcbi:DocumentoEntradaSaidaComponenteRevisao = new DocumentoEntradaSaidaComponenteRevisao();
				pcvcbi.documentoEntradaSaida = documentoEntradaSaida;
				UPCPopUpManager.instance.addPopUp(pcvcbi, FlexGlobals.topLevelApplication as DisplayObject, true);
				PopUpManager.centerPopUp(pcvcbi);
			}
			
			private function documentoEntradaSaidaAtualizadoResultHandler(event:ResultEvent):void
			{
				dispatchEvent(new ResultEvent("DocumentoEntradaSaidaIncluidoEvent", false, false, documentoEntradaSaida));
			}
			
			private function atualizarListaPedido():void
			{
				var pedidoCompraVenda:PedidoCompraVenda = new PedidoCompraVenda(); 
				pedidoCompraVenda.fornecedorCliente = ignComboBoxAutoCompleteFornecedor.selectedItem as Fornecedor;
				
				AMFConnector.instance.prepararObjetoRemoto("pedidoCompraVendaService", function(event:ResultEvent):void {listaPedidoCompra = (event.result as Page).recordList}).getOperation("listarPaginadoPorObjetoFiltroOrdemProduto").send(int.MAX_VALUE, 1, pedidoCompraVenda, ignAutoCompleteOrdemProduto.itemSelecionado as OrdemProduto, FlexGlobals.topLevelApplication.usuarioLogado.empresaPadrao.id == 52 ? null : " pedidoCompraVenda.situacao in ('1','2') ");
			}
			
			protected function ignComboBoxAutoCompleteFornecedor_changeHandler(event:IndexChangeEvent):void
			{
				if(ignComboBoxAutoCompleteFornecedor.selectedItem != null)
					atualizarListaPedido();
			}
			
			protected function documentoEntradaSaidaIncluidoResultEvent(event:ResultEvent):void
			{
				if(fornecedor == null)
				{
					fornecedor = (ignComboBoxAutoCompletePedidoCompraVenda.selectedItem as PedidoCompraVenda).fornecedorCliente;
					ignComboBoxAutoCompleteFornecedor.selectedIndex = -1;
					listaFornecedor.removeAll();
					listaFornecedor.addItem(fornecedor);
					ignComboBoxAutoCompleteFornecedor.selectedIndex = 0;
				}
				
				listaItemDocumentoEntradaSaida.addAll(event.result as ArrayCollection); 	
				datagridListaItemPedidoCompraVenda.selectedIndex = 0;
				ignComboBoxAutoCompletePedidoCompraVenda.selectedIndex = -1;
				UPCPopUpManager.instance.removePopUp(event.target as IFlexDisplayObject);
			}
			
			protected function ignComboBoxAutoCompletePedidoCompraVenda_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ENTER)
				{
					try
					{
						var pedidoCompraVenda:PedidoCompraVenda = ignComboBoxAutoCompletePedidoCompraVenda.selectedItem as PedidoCompraVenda;
						
						if(fornecedor != null)
						{
							if(fornecedor.id != pedidoCompraVenda.fornecedorCliente.id)
								throw new Error("Fornecedores diferentes. A Nota Fiscal pode conter pedidos de um só fornecedor.");	
						}
						
						var pcvcbi:PedidoCompraVendaComponenteBaixaItem = new PedidoCompraVendaComponenteBaixaItem();
						pcvcbi.pedidoCompraVenda = ignComboBoxAutoCompletePedidoCompraVenda.selectedItem as PedidoCompraVenda;
						pcvcbi.addEventListener("DocumentoEntradaSaidaIncluidoEvent", documentoEntradaSaidaIncluidoResultEvent);
						UPCPopUpManager.instance.addPopUp(pcvcbi, FlexGlobals.topLevelApplication as DisplayObject, true);
						PopUpManager.centerPopUp(pcvcbi);	
					}
					catch(e:Error)
					{
						Alert.show("Erro ao baixar pedido : " + e.message, "AVISO");
					}
				}
			}
			
			protected function buttonPesquisarPedidoCompra_clickHandler(event:MouseEvent):void
			{
				var pedidoCompraVendaComponentePesquisa:PedidoCompraVendaComponentePesquisa = new PedidoCompraVendaComponentePesquisa();
				pedidoCompraVendaComponentePesquisa.addEventListener("PedidoCompraVendaSelecionadoEvent", pedidoCompraVendaSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(pedidoCompraVendaComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(pedidoCompraVendaComponentePesquisa);
			}
			
			protected function pedidoCompraVendaSelecaoResultHandler(event:ResultEvent):void
			{
				try
				{
					var pedidoCompraVenda:PedidoCompraVenda = event.result as PedidoCompraVenda;
					
					if(fornecedor != null)
					{
						if(fornecedor.id != pedidoCompraVenda.fornecedorCliente.id)
							throw new Error("Fornecedores diferentes. A Nota Fiscal pode conter pedidos de um só fornecedor.");	
					}	
					
					DsvObjectUtil.setSelectedItemById(pedidoCompraVenda.fornecedorCliente.id, ignComboBoxAutoCompleteFornecedor);
					
					if(!DsvObjectUtil.contains(listaPedidoCompra, pedidoCompraVenda))
						listaPedidoCompra.addItem(pedidoCompraVenda);
					
					DsvObjectUtil.setSelectedItemById(pedidoCompraVenda.id, ignComboBoxAutoCompletePedidoCompraVenda);
					ignComboBoxAutoCompletePedidoCompraVenda.dispatchEvent(new KeyboardEvent(KeyboardEvent.KEY_DOWN, true, false, Keyboard.ENTER, Keyboard.ENTER, 0, false, false, false, false, false));
				}
				catch(e:Error)
				{
					Alert.show("Erro ao baixar pedido : " + e.message, "AVISO");
				}
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<s:VGroup width="100%" x="5" y="5">
		<s:HGroup maxWidth="1200" width="100%">
			<mx:Grid height="100" maxWidth="655" styleName="gridCompactadoVertical">
				<mx:GridRow>	
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Nr. Doc. Entrada"/>
							<visual:IgnTextInput id="ignTextInputNumeroDocumentoEntradaSaida" width="70" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" maxChars="10" text="{documentoEntradaSaida.numeroDocumentoEntradaSaida}" change="{ignTextInputNumeroNotaFiscal.text = ignTextInputNumeroDocumentoEntradaSaida.text}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Nr Nota Fiscal"/>
							<visual:IgnTextInput id="ignTextInputNumeroNotaFiscal" width="70" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" maxChars="10" text="{documentoEntradaSaida.numeroNotaFiscal}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Série"/>
							<visual:IgnTextInputInteger id="ignTextInputIntegerSerie" width="40" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" text="{isNaN(documentoEntradaSaida.serie) ? '' : documentoEntradaSaida.serie}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Data Emissão"/>
							<visual:IgnTextInputDate id="ignTextInputDateDataEmissao" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" text="{dataPadrao.format(documentoEntradaSaida.dataEmissao)}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Data da Entrada"/>
							<visual:IgnTextInputDate id="ignTextInputDateDataEntrada" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" text="{dataPadrao.format(documentoEntradaSaida.dataEntrada)}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Valor Total da Nota"/>
							<visual:IgnTextInputMoney id="ignTextInputDoubleValorTotalNotaFiscal" width="60" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" text="{documentoEntradaSaida.valorTotalNotaFiscalFormatado}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
					<mx:GridItem styleName="gridValor">
						<s:VGroup>
							<s:Label text="Quant. Total da Nota"/>
							<visual:IgnTextInputInteger id="ignTextInputIntegerQuantidadeTotalNotaFiscal" width="40" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</s:VGroup>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>
			<mx:Grid width="100%" height="100" maxWidth="545" styleName="gridCompactadoVertical">
				<mx:GridRow width="100%">	
					<mx:GridItem styleName="gridValor" horizontalAlign="right">
						<s:VGroup>
							<s:Label text="Empresa" fontWeight="bold"/>
							<s:Label text="{FlexGlobals.topLevelApplication.usuarioLogado.empresaPadrao.id} - {FlexGlobals.topLevelApplication.usuarioLogado.empresaPadrao.razao}" fontWeight="bold"/>
							<s:Label text="Fornecedor" fontWeight="bold"/>
							<s:Label text="{fornecedor == null ? '' : fornecedor.id + '-' + fornecedor.razaoSocial}" fontWeight="bold"/>
						</s:VGroup>
					</mx:GridItem>
				</mx:GridRow>
			</mx:Grid>
		</s:HGroup>
		<mx:TabNavigator>
			<mx:HBox label="Pedido Compra">
				<mx:Grid width="100%" height="90" styleName="gridCompactadoVertical"> 
					<mx:GridRow>
						<mx:GridItem>
							<s:VGroup>
								<s:Label text="Fornecedor"/>
								<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteFornecedor" width="275" dataProvider="{listaFornecedor}" change="ignComboBoxAutoCompleteFornecedor_changeHandler(event)" labelFunction="{function(item:Object):String { if(item == null) {return ''} return item.id + ' - ' + item.razaoSocial }}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
							</s:VGroup>
						</mx:GridItem>
						<mx:GridItem>
							<s:VGroup>
								<s:Label text="Ordem Produto"/>
								<autoComplete:IgnAutoComplete id="ignAutoCompleteOrdemProduto" destino="ordemProdutoService" enviarArgumentos="true" funcaoChamada="listarPorObjetoFiltro" idKeyName="id" lenStartConsulta="1" nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.OrdemProduto" palavraChave="descricao" tabEnabled="true" buscarTambemPorChave="false" mostrarCodigoConcatenado="false" enabled="{isNaN(documentoEntradaSaida.id)}"/>
							</s:VGroup>
						</mx:GridItem>
						<mx:GridItem>
							<s:VGroup>
								<s:Label text="Pedido Compra"/>
								<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompletePedidoCompraVenda" width="760" dataProvider="{listaPedidoCompra}" keyDown="ignComboBoxAutoCompletePedidoCompraVenda_keyDownHandler(event)" labelFunction="{function(item:Object):String { if(item == null) {return ''} return 'N. ' + item.numeroPedido + ' Forn. ' + item.fornecedorCliente.razaoSocial + ' Quinzena ' + dataPadrao.format(item.dataQuinzena)}}" enabled="{isNaN(documentoEntradaSaida.id)}"/>
							</s:VGroup>
						</mx:GridItem>
					</mx:GridRow>
					<mx:GridRow width="100%">
						<mx:GridItem width="100%" horizontalAlign="right" colSpan="3">
							<s:Button id="buttonPesquisarPedidoCompra" label="Pesquisar Pedido" click="buttonPesquisarPedidoCompra_clickHandler(event)" enabled="{isNaN(documentoEntradaSaida.id)}"/>
						</mx:GridItem>
					</mx:GridRow>
				</mx:Grid>	 
			</mx:HBox>
		</mx:TabNavigator>
		<mx:Grid width="100%" height="390" maxWidth="1200" styleName="gridCompactadoVertical">
			<mx:GridRow width="100%">
				<mx:GridItem width="100%" horizontalAlign="center">
					<mx:DataGrid id="datagridListaItemPedidoCompraVenda" width="100%" height="380" dataProvider="{listaItemDocumentoEntradaSaida}" doubleClickEnabled="true" horizontalScrollPolicy="auto" 
								 keyDown="datagridListaItemPedidoCompraVenda_keyDownHandler(event)" styleName="gridCompactado" verticalScrollPolicy="on">
						<mx:columns>
							<mx:DataGridColumn visible="false" dataField="id"/>
							<mx:DataGridColumn width="35" dataField="itemPedidoCompraVenda.pedidoCompraVenda.numeroPedido" headerText="Ped."/>
							<mx:DataGridColumn width="35" dataField="itemPedidoCompraVenda.sequencial" headerText="Item Ped."/>
							<mx:DataGridColumn width="280" dataField="produtoCompleto" headerText="Produto"/>
							<mx:DataGridColumn width="70" dataField="ordemProduto.descricao" headerText="Ordem"/>
							<mx:DataGridColumn width="70" dataField="cor.descricaoCorEmpresa" headerText="Cor"/>
							<mx:DataGridColumn width="45" dataField="grade.descricao" headerText="Grade" resizable="false"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade1" width="30" dataField="quantidade1" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho1.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade2" width="30" dataField="quantidade2" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho2.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade3" width="30" dataField="quantidade3" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho3.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade4" width="30" dataField="quantidade4" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho4.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade5" width="30" dataField="quantidade5" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho5.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade6" width="30" dataField="quantidade6" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho6.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade7" width="30" dataField="quantidade7" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho7.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade8" width="30" dataField="quantidade8" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho8.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade9" width="30" dataField="quantidade9" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho9.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade10" width="30" dataField="quantidade10" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho10.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade11" width="30" dataField="quantidade11" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho11.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade12" width="30" dataField="quantidade12" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho12.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn id="dataGridColumnQuantidade13" width="30" dataField="quantidade13" headerRenderer="br.com.desenv.framework.component.visual.IgnTituloGradeEntrada" headerText="{(datagridListaItemPedidoCompraVenda.selectedItem as ItemDocumentoEntradaSaida).grade.tamanho13.descricao}" itemRenderer="br.com.desenv.framework.component.visual.IgnValorGrade"/>
							<mx:DataGridColumn width="40" dataField="quantidadeTotal" dataTipField="Quantidade Total" headerText="Qt Tot" resizable="false"/>
							<mx:DataGridColumn width="55" dataField="valorUnitarioCustoFormatado" dataTipField="Valor de Custo por Unidade" headerText="Vl Custo" resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorTotalCustoFormatado" dataTipField="Valor Total de Custo" headerText="Tot Custo" resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorUnitarioVendaFormatado" dataTipField="Valor de Venda por Unidade" headerText="Vl Venda" resizable="false"/>
							<mx:DataGridColumn width="60" dataField="valorTotalVendaFormatado" dataTipField="Valor Total de Venda" headerText="Tot Venda" resizable="false"/>
						</mx:columns>	
					</mx:DataGrid>
				</mx:GridItem>
			</mx:GridRow>	
		</mx:Grid>
		<mx:Grid width="100%" height="30" maxWidth="1200">
			<mx:GridRow width="100%">
				<mx:GridItem width="100%" horizontalAlign="center">
					<s:HGroup width="100%" horizontalAlign="center">
						<!--<s:Button id="buttonSalvarRascunho" label="Salvar" click="buttonSalvarRascunho_clickHandler(event)" enabled="{}"/>-->
						<s:Button id="buttonSalvarRascunho" label="Salvar" click="buttonSalvarRascunho_clickHandler(event)"/>
						<s:Button id="buttonSalvar" label="Baixar Pedido" click="buttonSalvar_clickHandler(event)"/>
						<s:Button id="buttonCadastrarDuplicata" label="Cadastrar Duplicata" click="buttonCadastrarDuplicata_clickHandler(event)" enabled="{((!isNaN(documentoEntradaSaida.id)) &amp;&amp; (documentoEntradaSaida.situacao != '1'))}"/>
					</s:HGroup>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</s:VGroup>	
</s:TitleWindow>